
QGIS Application - Bug report #2073

crash when removing a layer

2009-11-09 02:51 AM - Paolo Cavallini

Status: Closed

Priority: Low

Assignee: Martin Dobias

Category: Map Legend

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 12133

Description

When removing any layer from the legend, qgis segfaults immediately

History

#1 - 2009-11-09 03:11 AM - Paolo Cavallini

Same thing when adding a layer to a group, etc.

#2 - 2009-11-09 05:03 AM - Borys Jurgiel

and also when removing from the overview

#3 - 2009-11-09 10:39 AM - Giovanni Manghi

Hi,

the problem was partially solved in rev.12059. It still crashes if you try to put a layer into a group.

#4 - 2009-11-10 05:29 AM - Martin Dobias

- Status changed from Open to Closed

- Resolution set to fixed

Adding layer to a group works again in commit:145a9e53 (SVN r12068).

Borys: i'm unable to replicate crash when removing layer from overview...

#5 - 2009-11-10 05:40 AM - Giovanni Manghi

Borys: i'm unable to replicate crash when removing layer from overview...

I guess was already fixed with the other patch. At least seem so.
#6 - 2009-11-10 06:44 AM - Borys Jurgiel

Yes, now is working!
